Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class AdminBlkType

    java.lang.Object
      nz.co.cks.tms.xml.AdminBlkType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageAdminBlk

public abstract class AdminBlkType
extends java.lang.Object
implements java.io.Serializable

Class AdminBlkType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private AdminAdd` | `_adminAdd` Field _adminAdd
`private AdminDelete` | `_adminDelete` Field _adminDelete
`private AdminUpdate` | `_adminUpdate` Field _adminUpdate

Constructor Summary
`AdminBlkType()`

Method Summary
`AdminAdd` | `getAdminAdd()` Method getAdminAddReturns the value of field 'adminAdd'.
`AdminDelete` | `getAdminDelete()` Method getAdminDeleteReturns the value of field 'adminDelete'.
`AdminUpdate` | `getAdminUpdate()` Method getAdminUpdateReturns the value of field 'adminUpdate'.
`boolean` | `isValid()` Method isValid
`void` | `setAdminAdd(AdminAdd adminAdd)` Method setAdminAddSets the value of field 'adminAdd'.
`void` | `setAdminDelete(AdminDelete adminDelete)` Method setAdminDeleteSets the value of field 'adminDelete'.
`void` | `setAdminUpdate(AdminUpdate adminUpdate)` Method setAdminUpdateSets the value of field 'adminUpdate'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _adminAdd

    private AdminAdd _adminAdd

  Field _adminAdd

### _adminDelete

    private AdminDelete _adminDelete

  Field _adminDelete

### _adminUpdate

    private AdminUpdate _adminUpdate

  Field _adminUpdate

Constructor Detail

### AdminBlkType

    public AdminBlkType()

Method Detail

### getAdminAdd

    public AdminAdd getAdminAdd()

  Method getAdminAddReturns the value of field 'adminAdd'.

  Returns:
    the value of field 'adminAdd'.

### getAdminDelete

    public AdminDelete getAdminDelete()

  Method getAdminDeleteReturns the value of field 'adminDelete'.

  Returns:
    the value of field 'adminDelete'.

### getAdminUpdate

    public AdminUpdate getAdminUpdate()

  Method getAdminUpdateReturns the value of field 'adminUpdate'.

  Returns:
    the value of field 'adminUpdate'.

### isValid

    public boolean isValid()

  Method isValid

### setAdminAdd

    public void setAdminAdd(AdminAdd adminAdd)

  Method setAdminAddSets the value of field 'adminAdd'.

  Parameters:
    `adminAdd` - the value of field 'adminAdd'.

### setAdminDelete

    public void setAdminDelete(AdminDelete adminDelete)

  Method setAdminDeleteSets the value of field 'adminDelete'.

  Parameters:
    `adminDelete` - the value of field 'adminDelete'.

### setAdminUpdate

    public void setAdminUpdate(AdminUpdate adminUpdate)

  Method setAdminUpdateSets the value of field 'adminUpdate'.

  Parameters:
    `adminUpdate` - the value of field 'adminUpdate'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD